GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
      Get Open PositionsGet Account MarginGet Funding AmountGet Funding Amount Report FileList Funding PaymentsGet Funding Payment Report FileGet Funding Payment Report JSONGet Risk Stats
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Get Funding Payment Report JSON

TradingDerivativesGet Funding Payment Report JSON

Get Funding Payment Report JSON

POSThttps://api.gemini.com/v1/perpetuals/fundingpaymentreport/records.json

Retrieves the funding payment report in JSON format for the authenticated account and the specified date range.

POSTv1/perpetuals/fundingpaymentreport/records.json
curl --request POST \
  --url 'https://api.gemini.com/v1/perpetuals/fundingpaymentreport/records.json?fromDate=2024-04-10&toDate=2024-04-25&numRows=1000' \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/perpetuals/fundingpaymentreport/records.json?fromDate=2024-04-10&toDate=2024-04-25&numRows=1000",
  "nonce": "<nonce>"
}
'

Examples

  • Code
    fromDate=2024-04-10&toDate=2024-04-25&numRows=1000
    — returns the lesser of the date-range record count and
    Code
    numRows
    .
  • Code
    fromDate=2024-04-10&toDate=2024-04-25
    — returns all records in the date range.
  • Code
    numRows=1000
    — returns up to 1000 records starting from now.
  • No parameters — returns the default maximum of 8760 records starting from now.

Query Parameters

fromDatestring
If empty, will only fetch records by numRows value.
toDatestring
If empty, will only fetch records by numRows value.
numRowsinteger
If empty, default value '8760'

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The API endpoint pathExample: /v1/perpetuals/fundingpaymentreport/records.json?fromDate=2024-04-10&toDate=2024-04-25&numRows=1000
noncestring | integer·required
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the account on which you intend to place the order. Only available for exchange accounts.Example: primary
Example request body
{
  "request": "/v1/perpetuals/fundingpaymentreport/records.json?fromDate=2024-04-10&toDate=2024-04-25&numRows=1000",
  "nonce": "<nonce>"
}

Responses

JSON response containing funding payment report.

eventTypestring·enum·required
Event typeEnum values: Hourly Funding Transfer
timestampstring | integer·required
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
assetCodestring·required
Asset symbol
actionstring·enum·required
Credit or DebitEnum values: CreditDebit
quantityobject·required
A nested JSON object describing the transaction amount
quantity.currencystring·required
The currency code of the quantity.
quantity.valuestring (decimal)·required
The value of the quantity.
instrumentSymbolstring
Symbol of the underlying instrument. **Note** that this is only attached to requests from 16th April 2024 onwards.
Example Responses
[
  {
    "eventType": "Hourly Funding Transfer",
    "timestamp": 1713344403617,
    "assetCode": "GUSD",
    "action": "Credit",
    "quantity": {
      "currency": "GUSD",
      "value": "35.81084"
    },
    "instrumentSymbol": "BTCGUSDPERP"
  }
]
PreviousGet Funding Payment Report FileNextGet Risk Stats
Last modified on May 5, 2026